ru.bitel.bgbilling.plugins.crm.server.dao

## Class RegisterProblemManager

- java.lang.Object
- - ru.bitel.bgbilling.plugins.crm.server.dao.RegisterProblemManager

-     public class RegisterProblemManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterProblemManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGroup(int registerItemID, int groupID)`
    `void` | `clearProblemHistory(int id)`
    `void` | `deleteProblem(int id)`
    `java.util.List<RegisterProblem>` | `getActiveProblemList(int period)` Deprecated.
    `java.util.List<RegisterProblem>` | `getActiveProblemList(int periodInDays, java.util.List<java.lang.Integer> statusList, java.util.List<java.lang.Integer> groupIdList, java.util.List<java.lang.Integer> urgencyList, int limit)`
    `java.util.List<RegisterProblem>` | `getActiveProblemListForContract(int contractId)`
    `RegisterProblem` | `getHistoryEntry(int id, long time)`
    `java.util.List<RegisterProblem>` | `getNotClosedProblems()`
    `RegisterProblem` | `getProblemByID(int id)`
    `java.util.List<RegisterProblem>` | `getProblemHistory(int id)`
    `java.util.List<java.lang.String>` | `getProblemUsedGroups(int registerItemID)`
    `java.util.List<java.lang.Integer>` | `getRegisterProblemIds(java.util.List<RegisterProblem> registerProblemList)`
    `static java.util.List<ListItem>` | `getStatusList(java.lang.String values)`
    `static java.util.Map<java.lang.Integer,java.lang.String>` | `getStatusMap(java.lang.String values)`
    `java.util.HashMap<java.lang.Integer,java.lang.String>` | `getSubjectsMap()`
    `void` | `loadExecutorList(java.util.List<RegisterProblem> registerProblemList)`
    `void` | `loadRegisterCall(java.util.List<RegisterProblem> registerProblemList)` загрузка звонков
    `void` | `searchList(SearchResult<RegisterProblem> searchResult, Period[] periods)`
    `void` | `updateProblem(RegisterProblem problem, int userId)`
    `void` | `updateProblemExecutors(RegisterProblem ri, java.lang.String groupExecutors)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegisterProblemManager

          public RegisterProblemManager(java.sql.Connection con)

  - ### Method Detail

    - #### updateProblem

          public void updateProblem(RegisterProblem problem,
                                    int userId)

      Parameters:
        `problem` -

    - #### clearProblemHistory

          public void clearProblemHistory(int id)
                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getProblemHistory

          public java.util.List<RegisterProblem> getProblemHistory(int id)
                                                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getHistoryEntry

          public RegisterProblem getHistoryEntry(int id,
                                                 long time)

    - #### updateProblemExecutors

          public void updateProblemExecutors(RegisterProblem ri,
                                             java.lang.String groupExecutors)
                                      throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### deleteProblem

          public void deleteProblem(int id)

    - #### getProblemByID

          public RegisterProblem getProblemByID(int id)

    - #### getNotClosedProblems

          public java.util.List<RegisterProblem> getNotClosedProblems()

    - #### searchList

          public void searchList(SearchResult<RegisterProblem> searchResult,
                                 Period[] periods)

    - #### getActiveProblemList

          public java.util.List<RegisterProblem> getActiveProblemList(int period)

      Deprecated.
      Parameters:
        `period` -
      Returns:

    - #### getActiveProblemListForContract

          public java.util.List<RegisterProblem> getActiveProblemListForContract(int contractId)
                                                                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getActiveProblemList

          public java.util.List<RegisterProblem> getActiveProblemList(int periodInDays,
                                                                      java.util.List<java.lang.Integer> statusList,
                                                                      java.util.List<java.lang.Integer> groupIdList,
                                                                      java.util.List<java.lang.Integer> urgencyList,
                                                                      int limit)

    - #### loadRegisterCall

          public void loadRegisterCall(java.util.List<RegisterProblem> registerProblemList)

      загрузка звонков

    - #### loadExecutorList

          public void loadExecutorList(java.util.List<RegisterProblem> registerProblemList)

    - #### getRegisterProblemIds

          public java.util.List<java.lang.Integer> getRegisterProblemIds(java.util.List<RegisterProblem> registerProblemList)

    - #### getSubjectsMap

          public java.util.HashMap<java.lang.Integer,java.lang.String> getSubjectsMap()

    - #### addGroup

          public void addGroup(int registerItemID,
                               int groupID)

    - #### getProblemUsedGroups

          public java.util.List<java.lang.String> getProblemUsedGroups(int registerItemID)

    - #### getStatusMap

          public static java.util.Map<java.lang.Integer,java.lang.String> getStatusMap(java.lang.String values)

    - #### getStatusList

          public static java.util.List<ListItem> getStatusList(java.lang.String values)